Subject: Re: [PATCH] Provide config option to expect files outside sparse patterns

From: Jonathan Nieder <[email-masked]>
Date: Tue, 22 Feb 2022 15:13:13 -0800

Ævar Arnfjörð Bjarmason wrote:

> To a first approximation what makes it core.* is that we have a
> core.sparseCheckout.
[...]
> Anyway, as noted (and I feel I have to comment as the originator of this
> thread) I think the bikeshedding about namespacing is less important
> than making sure from a user perspective that these are discoverable.

Agreed.  Though there's already also advice.updateSparsePath; even
though I suspect that ctrl+F for "sparse" is what people may already
be using in practice, a pointer from the git-sparse-checkout(1) page
would be welcome.

> E.g. core.sshCommand doesn't reference ssh.variant or the other way
> around, and in my "man git-config" they're at ~25% and ~90% in to what's
> now a *huge* document. You need to read the whole thing or have the
> foresight to search through it to discover both.
>
> So for core.sshCommand and ssh.variant, and core.sparse* and sparse.*
> cross-linking etc. would go a long way...

Agreed as well.

> Aside: I do have some local patches (waiting on a couple of other things
> I have outstanding) to add a "CONFIGURATION" section to all of the
> built-in commands with some including/splitting up of
> Documentation/config**.txt, so "man git-sparse-checkout" would have a
> section listing the subset of "git-config" applicable to the command.

Oh!  I was about to do a quick patch for git-sparse-checkout.txt, but
this is even better, so I think I'll wait for you to send those. :)

Thanks,
Jonathan